import { fruitCircles } from './fruitCircles';

const initDataflow = selection =>
  Topologica({
    fruitCircles
  }).set({ selection });

const getOrInitDataflow = selection => {
  const node = selection.node();
  if (!node.dataflow) {
    node.dataflow = initDataflow(selection);
  }
  return node.dataflow;
}

export const fruitBowl = (selection, props) => {
  getOrInitDataflow(selection).set(props);
}